Update test case definition
curl --request PUT \
--url https://api.upon-ai.com/api/test-case-definitions/{testCaseDefinitionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"test_case_definition_id": "<string>",
"workspaceId": 123,
"llm_id": "<string>",
"conversation_flow_id": "<string>",
"version": 123,
"name": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.upon-ai.com/api/test-case-definitions/{testCaseDefinitionId}"
payload = {
"test_case_definition_id": "<string>",
"workspaceId": 123,
"llm_id": "<string>",
"conversation_flow_id": "<string>",
"version": 123,
"name": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
test_case_definition_id: '<string>',
workspaceId: 123,
llm_id: '<string>',
conversation_flow_id: '<string>',
version: 123,
name: '<string>',
description: '<string>'
})
};
fetch('https://api.upon-ai.com/api/test-case-definitions/{testCaseDefinitionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"test_case_definition_id": "<string>",
"workspaceId": 123,
"llm_id": "<string>",
"conversation_flow_id": "<string>",
"version": 123,
"name": "<string>",
"description": "<string>"
}Test Case Definitions
Update test case definition
Update an existing test case definition.
PUT
/
api
/
test-case-definitions
/
{testCaseDefinitionId}
Update test case definition
Authorizations
Generate tokens from your profile settings at app.uponai.com.
Headers
Optional actor type for privileged white-label context selection.
Available options:
platform_admin, provider_admin, tenant_admin, end_user Optional provider scope identifier for privileged multi-tenant access.
Optional tenant/workspace context override.
Required for privileged tenant-scoped requests when actor type is platform or provider admin.
Path Parameters
Test case definition identifier.
Body
application/json
⌘I